> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product in Catalog

> Retrieves a product in a particular catalog. This current version of the Products API includes localizedContent to support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the previous API model. If you were a client prior to May 2024 and have upgraded your implementation to support this feature, you can still access product data that has not yet been rewritten to the new model by providing an x-api-version header set to "1".



## OpenAPI

````yaml /openapi/openapi_catalog_admin.json get /commerce/catalog/admin/products/{productCode}/ProductInCatalogs/{catalogId}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_ADMIN">
                <h2>CATALOG ADMINISTRATION</h2>
                <p>The Catalog Administration APIs are a collection of resources for configuring the catalogs and products offered to your shoppers, including
                    discounts and coupon sets, faceting, price lists, and different types or variations of products. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Attributes</strong> resource to manage localization and attribute configurations for your catalogs. This current version of the Attributes API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access attribute data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Categories</strong> resource to organize products and control where they appear on the storefront. Create
                    and maintain a hierarchy of categories and subcategories where the site will store properties. This current version of the Categories API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access category data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Coupon Sets</strong> resource to view and create coupon sets. You can use coupon sets to group multiple
                    coupon codes together and associate them with one or more discounts.</p>
                <p>Use the <strong>Currency</strong> resource to manage the currency localization rules and exchange rates for any of the
                    currencies that are supported for placing orders in.</p>
                <p>Use the <strong>Discounts</strong> and <strong>Discount Settings</strong> resources to define and manage discounts to apply to products, product categories, or
                    orders. This current version of the Discounts API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access discount data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Facets</strong> resource to manage the facets shoppers use to filter product display results on a
                    storefront. Facets can include categories, product attributes, or prices, and use either a range of
                    values or discrete values.</p>
                <p>Use the <strong>Master Catalog</strong> resource to view details of the master catalogs associated with a tenant and to
                    manage the product publishing mode for each master catalog.</p>
                <p>Use the <strong>Price Lists</strong> resources to view and create price lists. You can use price lists to override the
                    catalog pricing of products for specific customer segments and/or sites.</p>
                <p>Use the <strong>Products</strong>, <strong>Product Types/Extras/Options/Properties</strong>, and <strong>Product Sort Definitions</strong> resources to create new product definitions in the master catalog and determine which
                    catalogs will feature products. This current version of the Products API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access product data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1".</p>
                <p>Use the <strong>Publishing</strong> resource to publish pending product updates together as part of a set.</p>
                <p>Use the <strong>Search</strong> resource to manage all settings and options for providing product search on your site, as
                    well as search tuning rules.</p>
            </div>
  title: Catalog Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/admin/products/{productCode}/ProductInCatalogs/{catalogId}:
    get:
      tags:
        - Products
      summary: Get Product in Catalog
      description: >-
        Retrieves a product in a particular catalog. This current version of the
        Products API includes localizedContent to support <a
        href="/pages/catalog-structure#multi-locale-catalogs">multi-locale
        catalogs</a>, which was not present in the previous API model. If you
        were a client prior to May 2024 and have upgraded your implementation to
        support this feature, you can still access product data that has not yet
        been rewritten to the new model by providing an x-api-version header set
        to "1".
      parameters:
        - in: path
          name: productCode
          required: true
          schema:
            type: string
        - in: path
          name: catalogId
          required: true
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductInCatalogInfo'
            text/json:
              schema:
                $ref: '#/components/schemas/ProductInCatalogInfo'
            text/plain:
              schema:
                $ref: '#/components/schemas/ProductInCatalogInfo'
          description: OK
components:
  schemas:
    ProductInCatalogInfo:
      description: >-
        Use the Products resource to create and manage products for your store.
        You can create products with options that a shopper configures (such as
        a T-shirt color and size). The system can manage inventory for all
        combinations of your product options, and can calculate tax and shipping
        costs.
      properties:
        activeDateRange:
          $ref: '#/components/schemas/CatalogAdminsActiveDateRange'
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        catalogId:
          description: >-
            The CatalogId of the catalog that the product is associated with
            (The catalog must a valid catalog within the MasterCatalog that the
            product belongs to)
          format: int32
          nullable: false
          type: integer
        dateFirstAvailableInCatalog:
          description: >-
            Date this product was first Available for sale in the catalog. This
            is utilized in expressions that reference DaysInCatloag.
          format: date-time
          nullable: true
          type: string
        isActive:
          description: >-
            If true, the product is marked as available for sale in the catalog.
            Setting a product to IsActive = false will prevent it from being
            shown on the customer facing storefront.
          nullable: true
          type: boolean
        isPriceOverridden:
          description: >-
            If true, the price for this product is overridden in the catalog. If
            false, the MasterCatalog level price will be used for the product.
          nullable: true
          type: boolean
        price:
          $ref: '#/components/schemas/CatalogAdminsProductPrice'
        primaryProductCategory:
          $ref: '#/components/schemas/ProductCategory'
        productCategories:
          description: Categories to which the product belongs for this catalog.
          items:
            $ref: '#/components/schemas/ProductCategory'
          nullable: true
          type: array
      type: object
    CatalogAdminsActiveDateRange:
      description: Active Effectivity Dates
      properties:
        endDate:
          format: date-time
          nullable: true
          type: string
        startDate:
          format: date-time
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CatalogAdminsProductPrice:
      description: Price of the product and currency used.
      properties:
        creditValue:
          description: Credit amt of the product
          format: double
          nullable: true
          type: number
        isoCurrencyCode:
          description: Currency code.
          nullable: true
          type: string
        map:
          description: Minimum Advertised Price
          format: double
          nullable: true
          type: number
        mapEndDate:
          description: Minimum Advertised Price effectivity end date (null = forever)
          format: date-time
          nullable: true
          type: string
        mapStartDate:
          description: >-
            Minimum Advertised Price effective start date (null = begining of
            time)
          format: date-time
          nullable: true
          type: string
        msrp:
          description: Manufacturer Suggested Retail Price. +
          format: double
          nullable: true
          type: number
        price:
          description: >-
            Price of the product. This is the price the merchant intends to sell
            the product if no sale price is present.
          format: double
          minimum: 0
          nullable: true
          type: number
        salePrice:
          description: >-
            Current sale price of the product. Sale price is a numeric
            (monetary) amount, not a percentage off.
          format: double
          minimum: 0
          nullable: true
          type: number
      type: object
    ProductCategory:
      description: Categories to which the product belongs.
      properties:
        categoryId:
          description: Unique identifier of the category. System-supplied and read-only.
          format: int32
          nullable: false
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````